﻿using System;
using System.Text;

namespace olipiada
{
    internal class Program
    {
       

        static void Main(string[] args)
        {
            var s = Console.ReadLine().Split(' ');
            long n = long.Parse(s[0]);
            long k = long.Parse(s[1]);

            int[] flowers = new int[n];
            byte[] canJump = new byte[n];
            canJump[0] = 1;
            
            for (int i = 0; i < n; i++)
            {
                StringBuilder str = new StringBuilder();
                
                while (true)
                {
                    char cr = (char)Console.Read();
                    if (!char.IsDigit(cr)) break;
                    str.Append(cr);
                }
                flowers[i] = int.Parse(str.ToString());
                
            }

            
            StringBuilder sb = new StringBuilder();
            sb.Append('1');
            sb.Append((char)(canJump[1] + 48));
            for (int i = 1; i < n; i++) 
            {
                for (int j = 0; j < i; j++)
                {
                    if (Math.Abs(flowers[i] - flowers[j]) <= k && canJump[j] == 1)
                    {
                        canJump[i] = 1;
                        break;
                    }
                }
                sb.Append((char)(canJump[i] + 48));
            }
            Console.WriteLine(sb.ToString());
        }
    }
}
